---
title: Domain prüfen
slug: de/domain-prufen
description: Erfahren Sie, wie Sie den FlashStart-Filterendpunkt nutzen, um effektiv zu prüfen, ob eine Domain blockiert ist oder nicht.
docTags: 
createdAt: 2022-03-09T10:50:25.000Z
---

:::hint{type="warning"}
This endpoint is available upon customer request.
It allows you to understand if a domain is blocked by FlashStart filters, based on a custom configuration per customer.

For information, write to customer support.

:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.fsflt.net/blocklist/check_domain",
  "name": "Check Domain",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "domain",
        "kind": "required",
        "type": "string",
        "description": "domain name (ex. test.com)",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "X-API-KEY",
        "type": "string",
        "description": "Your API Key"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "CZxE3lx8b1x7cbh5omsdG",
        "code": "{\r\n    \"code\": 200,\r\n    \"content\": {\r\n        \"blocked\": false\r\n    }\r\n}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "8r0IpijtHqEBJk6-Kbpx2",
        "code": "Too Many Attempts.",
        "language": "429",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "CZxE3lx8b1x7cbh5omsdG"
  },
  "examples": {
    "languages": [
      {
        "id": "uP4Bn2tNgyyQPRtSuvpCn",
        "language": "shell",
        "code": "curl -X 'GET' \\\n  'https://api.fsflt.net/blocklist/check_domain?domain=string' \\\n  -H 'accept: application/json' \\\n  -H \"Content-Type: application/json\" \\\n  -H \"X-API-KEY: YOUR_API_KEY\" \\\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "uP4Bn2tNgyyQPRtSuvpCn"
  },
  "description": "Check if a domain is in your customized blocklist",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "autoGeneratedAnchorSlug": "check-domain",
  "legacyHash": "7WwBNyLA1jB_h2hbA1w33"
}
```
:::

